Opened 9 years ago

Closed 9 years ago

Last modified 7 years ago

#3112 closed defect (fixed)

Only fetch microdescriptors from 0.2.3.1-alpha and later (and authorities)

Reported by: nickm Owned by: nickm
Priority: Medium Milestone: Tor: 0.2.3.x-final
Component: Core Tor/Tor Version: Tor: 0.2.3.1-alpha
Severity: Keywords: tor-client
Cc: Actual Points:
Parent ID: #1748 Points:
Reviewer: Sponsor:

Description

Right now in master, we fetch microdescriptors from authorities and from any host that is running 0.2.3.0-alpha (i.e, the code from git before the 0.2.3.1-alpha release) or later. That's because there are currently (in the consensus I see) 11 hosts running 0.2.3.0-alpha-dev and none running 0.2.3.1 yet. But at some point soon, we should switch the code so that 0.2.3.1-alpha is required.

The tradeoff here is that 0.2.3.0-alpha-dev hosts are likelier to be broken, but 0.2.3.1-alpha hosts are currently nonexistent.

Child Tickets

Change History (3)

comment:1 Changed 9 years ago by Sebastian

Resolution: fixed
Status: newclosed

This is implemented in master

comment:2 Changed 7 years ago by nickm

Keywords: tor-client added

comment:3 Changed 7 years ago by nickm

Component: Tor ClientTor
Note: See TracTickets for help on using tickets.